#
# spec file for package lclint (Version 2.2a)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcsh

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         lclint
Release:      14
Copyright:    Massachusetts Institute of Technology 1994, 1995, 1996.
Group: 
Provides:     lclint 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.2a
Summary:      LCLint - a tool for statically checking C programs
Source: lclint-2.2a.tar.gz
Patch: lclint-2.2a.dif
%description
With minimal effort, LCLint can be used as a better lint.  If additional effort
is invested adding annotations to programs, LCLint can perform stronger checks
than can be done by any standard lint.

Authors:
--------
    David Evans <evs@larch.lcs.mit.edu>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/lclint
%dir /usr/lib/lclint
%dir /usr/lib/lclint/imports
%dir /usr/lib/lclint/libs
/usr/bin/lclint
%doc /usr/doc/packages/lclint/README
%doc /usr/doc/packages/lclint/fse94.ps.gz
%doc /usr/doc/packages/lclint/guide-part1.ps.gz
%doc /usr/doc/packages/lclint/guide-part2.ps.gz
%doc /usr/doc/packages/lclint/pldi96.ps.gz
%doc /usr/doc/packages/lclint/supplement.ps.gz
/usr/lib/lclint/imports/assert.lcl
/usr/lib/lclint/imports/assert.lcs
/usr/lib/lclint/imports/ctype.lcl
/usr/lib/lclint/imports/ctype.lcs
/usr/lib/lclint/imports/errno.lcl
/usr/lib/lclint/imports/errno.lcs
/usr/lib/lclint/imports/limits.lcl
/usr/lib/lclint/imports/limits.lcs
/usr/lib/lclint/imports/locale.lcl
/usr/lib/lclint/imports/locale.lcs
/usr/lib/lclint/imports/math.lcl
/usr/lib/lclint/imports/math.lcs
/usr/lib/lclint/imports/setjmp.lcl
/usr/lib/lclint/imports/setjmp.lcs
/usr/lib/lclint/imports/signal.lcl
/usr/lib/lclint/imports/signal.lcs
/usr/lib/lclint/imports/stdarg.lcl
/usr/lib/lclint/imports/stdarg.lcs
/usr/lib/lclint/imports/stdio.lcl
/usr/lib/lclint/imports/stdio.lcs
/usr/lib/lclint/imports/stdlib.lcl
/usr/lib/lclint/imports/stdlib.lcs
/usr/lib/lclint/imports/string.lcl
/usr/lib/lclint/imports/string.lcs
/usr/lib/lclint/imports/strings.lcl
/usr/lib/lclint/imports/strings.lcs
/usr/lib/lclint/imports/time.lcl
/usr/lib/lclint/imports/time.lcs
/usr/lib/lclint/libs/CTrait.syms
/usr/lib/lclint/libs/CTraitGen.lcl
/usr/lib/lclint/libs/README
/usr/lib/lclint/libs/ansi.h
/usr/lib/lclint/libs/ansi.lcd
/usr/lib/lclint/libs/ansistrict.lcd
/usr/lib/lclint/libs/bool.h
/usr/lib/lclint/libs/lclinit.lci
/usr/lib/lclint/libs/lslinit.lsi
/usr/lib/lclint/libs/posix.h
/usr/lib/lclint/libs/posix.lcd
/usr/lib/lclint/libs/posixstrict.lcd
/usr/lib/lclint/libs/unix.h
/usr/lib/lclint/libs/unix.lcd
/usr/lib/lclint/libs/unixstrict.lcd

